Name:          acl
Version:       2.3.2
Release:       1mamba
Summary:       Access control list utilities
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://savannah.nongnu.org/projects/acl
Source:        http://download.savannah.gnu.org/releases/acl/acl-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libattr-devel
## AUTOBUILDREQ-END
BuildRequires: autoconf
BuildRequires: libtool
BuildRequires: gettext
BuildRequires: gawk
Provides:      libacl-tools
Obsoletes:     libacl-tools < 2.3.2

%description
This package contains the getfacl and setfacl utilities needed for manipulating access control lists.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Libraries and headers for %{name}

%description -n lib%{name}
This package contains the libacl.so dynamic library which contains the POSIX 1003.1e draft standard 17 functions for manipulating access control lists.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libacl-static
Obsoletes:     libacl-static < 2.3.1

%description -n lib%{name}-devel
This package contains libraries and header files needed to develop programs which make use of the access control list programming interface defined in POSIX 1003.1e draft standard 17.

%debug_package

%prep
%setup -q

%build
touch .census
# acl abuses libexecdir
%configure \
   --disable-static

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang acl

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f acl.lang
%defattr(-,root,root)
%{_bindir}/chacl
%{_bindir}/getfacl
%{_bindir}/setfacl
%{_mandir}/man1/chacl.1*
%{_mandir}/man1/getfacl.1*
%{_mandir}/man1/setfacl.1*
%{_mandir}/man5/acl.5*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libacl.so.*
%doc README

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/acl
%{_includedir}/acl/*.h
%{_includedir}/sys/acl.h
%{_libdir}/libacl.so
%{_libdir}/pkgconfig/libacl.pc
%{_mandir}/man3/*.3*
%dir %{_docdir}/acl
%{_docdir}/acl/*

%changelog
* Thu Feb 08 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.2-1mamba
- update to 2.3.2

* Sun Mar 21 2021 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic update by autodist

* Sat Jul 28 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.53-1mamba
- update to 2.2.53

* Mon Jul 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.52-2mamba
- remove -static package and *.la *.a files

* Mon May 20 2013 Automatic Build System <autodist@mambasoft.it> 2.2.52-1mamba
- automatic version update by autodist

* Sun Dec 09 2012 Automatic Build System <autodist@mambasoft.it> 2.2.51-1mamba
- update to 2.2.51

* Sun Nov 30 2008 gil <puntogil@libero.it> 2.2.47-1mamba
- package created by autospec
